Bug 207751 - [patch] print/qpdf: update to 6.0.0
Summary: [patch] print/qpdf: update to 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-06 20:06 UTC by Tijl Coosemans
Modified: 2016-03-20 11:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (d.y.kazarov)


Attachments
patch (13.13 KB, patch)
2016-03-06 20:06 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-03-06 20:06:09 UTC
Created attachment 167775 [details]
patch

- Update to 6.0.0.
- Remove bash dependency.
- Remove SDK option.  Ports always install headers.
- Add DOCS option. (This saves more space than the SDK option.)
- Replace patch-configure with CPPFLAGS/LIBS and a post-patch command in the Makefile to take into account ${LOCALBASE} and ${MAKE_CMD}.
- Remove patches that have been fixed upstream.
- Add a patch for libtest/build.mk to change the order of LIBS and LIBS_libqpdf.  LIBS may contain user supplied -L flags like -L/usr/local/lib which have to appear after upstream -L flags so programs are linked against freshly built libraries on not an older version in /usr/local/lib.  The other build.mk files already do this right.
- Add a patch for make/libtool.mk to change the order of $ldflags and $libs.  Upstream puts -L flags in $ldflags.
Comment 1 d.y.kazarov 2016-03-11 09:47:29 UTC
The Option to exclude installation of port's header was implemented because on about all previous updates headers broke the compilation of updated port sources. Pls ensure that this problem is solved.
Comment 2 Tijl Coosemans freebsd_committer 2016-03-11 15:03:07 UTC
I checked a few things:
- Building works with qpdf 5.2.1 installed.
- The makefile rules all seem to put CPPFLAGS after local includes.
- In the build log -I/usr/local/include always appears last: e.g. -Iinclude -Ilibqpdf -I/usr/local/include
Comment 3 commit-hook freebsd_committer 2016-03-20 11:26:55 UTC
A commit references this bug:

Author: tijl
Date: Sun Mar 20 11:26:10 UTC 2016
New revision: 411436
URL: https://svnweb.freebsd.org/changeset/ports/411436

Log:
  - Update print/qpdf to 6.0.0.
  - Remove bash dependency.
  - Remove SDK option.  It was added to prevent installation of headers
    because they sometimes cause build conflicts with newer versions of qpdf
    due to incorrect order of -I flags.  This has been fixed now.
  - Add DOCS option.
  - Replace patch-configure with CPPFLAGS/LIBS and a post-patch command in
    the Makefile to take into account ${LOCALBASE} and ${MAKE_CMD}.
  - Remove patches that have been fixed upstream.
  - Add a patch for libtest/build.mk to change the order of LIBS and
    LIBS_libqpdf.  LIBS may contain user supplied -L flags like
    -L/usr/local/lib which have to appear after upstream -L flags so programs
    are linked against freshly built libraries on not an older version in
    /usr/local/lib.  The other build.mk files already do this right.
  - Add a patch for make/libtool.mk to change the order of $ldflags and $libs.
    Upstream puts -L flags in $ldflags.

  PR:		207751
  Approved by:	d.y.kazarov@mail.ru (maintainer)

Changes:
  head/print/cups-filters/Makefile
  head/print/qpdf/Makefile
  head/print/qpdf/distinfo
  head/print/qpdf/files/patch-configure
  head/print/qpdf/files/patch-include_QPDFExc.hh
  head/print/qpdf/files/patch-include_QUtil.hh
  head/print/qpdf/files/patch-include_qpdf_QPDF.hh
  head/print/qpdf/files/patch-libtests-build.mk
  head/print/qpdf/files/patch-make-libtool.mk
  head/print/qpdf/pkg-plist